GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
gdcm::File Class Reference

a DICOM File See PS 3.10 File: A File is an ordered string of zero or more bytes, where the first byte is at the beginning of the file and the last byte at the end of the File. Files are identified by a unique File ID and may by written, read and/or deleted. More...

`#include <gdcmFile.h>`

Inheritance diagram for gdcm::File:
[legend]
Collaboration diagram for gdcm::File:
[legend]

List of all members.

## Public Member Functions

| File ()
| ~File ()
const DataSet & | GetDataSet () const
| Get Data Set.
DataSet & | GetDataSet ()
| Get Data Set.
const FileMetaInformation & | GetHeader () const
| Get File Meta Information.
FileMetaInformation & | GetHeader ()
| Get File Meta Information.
std::istream & | Read (std::istream &is)
| Read.
void | SetDataSet (const DataSet &ds)
| Set Data Set.
void | SetHeader (const FileMetaInformation &fmi)
| Set File Meta Information.
std::ostream const & | Write (std::ostream &os) const
| Write.

## Friends

std::ostream & | operator<< (std::ostream &os, const File &val)

## Detailed Description

a DICOM File See PS 3.10 File: A File is an ordered string of zero or more bytes, where the first byte is at the beginning of the file and the last byte at the end of the File. Files are identified by a unique File ID and may by written, read and/or deleted.

See also:
  Reader Writer

Examples:
  ChangeSequenceUltrasound.cxx, CreateJPIPDataSet.cxx, DiffFile.cxx, DumpGEMSMovieGroup.cxx, DuplicatePCDE.cxx, EncapsulateFileInRawData.cxx, ExtractEncryptedContent.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, FixBrokenJ2K.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenFakeImage.cxx, GenLongSeqs.cxx, GenSeqs.cxx, GetJPEGSamplePrecision.cxx, GetSequenceUltrasound.cxx, GetSubSequenceData.cxx, HelloWorld.cxx, iU22tomultisc.cxx, LargeVRDSExplicit.cxx, PatchFile.cxx, ReadAndDumpDICOMDIR.cxx, ReadAndPrintAttributes.cxx, ReadGEMSSDO.cxx, and StreamImageReaderTest.cxx.

## Constructor & Destructor Documentation

gdcm::File::File | ( |  | ) | `[inline]`

gdcm::File::~File | ( |  | ) | `[inline]`

## Member Function Documentation

const DataSet& gdcm::File::GetDataSet | ( |  | ) | const`[inline]`

Get Data Set.

Examples:
  ChangeSequenceUltrasound.cxx, CreateJPIPDataSet.cxx, csa2img.cxx, DiffFile.cxx, DumpADAC.cxx, DuplicatePCDE.cxx, ELSCINT1WaveToText.cxx, EncapsulateFileInRawData.cxx, ExtractEncryptedContent.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, gdcmrtionplan.cxx, gdcmrtplan.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenLongSeqs.cxx, GenSeqs.cxx, GetJPEGSamplePrecision.cxx, GetSequenceUltrasound.cxx, HelloWorld.cxx, iU22tomultisc.cxx, LargeVRDSExplicit.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, PatchFile.cxx, pmsct_rgb1.cxx, ReadAndDumpDICOMDIR.cxx, ReadAndPrintAttributes.cxx, ReadExplicitLengthSQIVR.cxx, ReadGEMSSDO.cxx, rle2img.cxx, and StreamImageReaderTest.cxx.

DataSet& gdcm::File::GetDataSet | ( |  | ) | `[inline]`

Get Data Set.

const FileMetaInformation& gdcm::File::GetHeader | ( |  | ) | const`[inline]`

Get File Meta Information.

Examples:
  CreateJPIPDataSet.cxx, EncapsulateFileInRawData.cxx, Extracting_All_Resolution.cxx, Fake_Image_Using_Stream_Image_Writer.cxx, FixJAIBugJPEGLS.cxx, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GetJPEGSamplePrecision.cxx, LargeVRDSExplicit.cxx, MergeTwoFiles.cxx, pmsct_rgb1.cxx, ReadAndDumpDICOMDIR.cxx, rle2img.cxx, and StreamImageReaderTest.cxx.

Referenced by gdcm::operator<<().

FileMetaInformation& gdcm::File::GetHeader | ( |  | ) | `[inline]`

Get File Meta Information.

std::istream& gdcm::File::Read | ( | std::istream & | is | ) |

Read.

void gdcm::File::SetDataSet | ( | const DataSet & | ds | ) | `[inline]`

Set Data Set.

void gdcm::File::SetHeader | ( | const FileMetaInformation & | fmi | ) | `[inline]`

Set File Meta Information.

std::ostream const& gdcm::File::Write | ( | std::ostream & | os | ) | const

Write.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const File & | val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmFile.h